Bug 1575159 - Unable to mount persistent volumes in Azure
Summary: Unable to mount persistent volumes in Azure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.7.0
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: hchen
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 23:09 UTC by Taneem Ibrahim
Modified: 2018-05-25 14:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-25 14:06:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Taneem Ibrahim 2018-05-04 23:09:15 UTC
Description of problem:

/dev/sdd is already mounted or /var/lib/origin/openshift.local.volumes/plugins/kubernetes.io/azure-disk/mounts/b1047945704 busy

Version-Release number of selected component (if applicable):

oc v3.7.42
kubernetes v1.7.6+a08f5eeb62
features: Basic-Auth GSSAPI Kerberos SPNEGO

How reproducible:

Always


Steps to Reproduce:

Deploy the following:

apiVersion: v1
kind: Pod
metadata:
  name: my-site
spec:
    containers:
    - name: mysql
      image: registry.access.redhat.com/rhscl/mysql-57-rhel7
      volumeMounts:
      - mountPath: /var/lib/mysql
        name: site-data
    volumes:
    - name: site-data
      persistentVolumeClaim:
        claimName: mysql-pvc

kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: mysql-pvc
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi


Actual results:

2018-05-04 10:34:25 -0500 CDT   2018-05-04 10:34:25 -0500 CDT   1         my-site   Pod                 Warning   FailedMount   kubelet, pdl98he9ap002   MountVolume.MountDevice failed for volume "pvc-763dd0ab-4fa1-11e8-b497-000d3a94e0cd" : azureDisk - mountDevice:FormatAndMount failed with failed to mount the volume as "ext4", it already contains mpath_member. Mount error: mount failed: exit status 32
Mounting command: systemd-run
Mounting arguments: --description=Kubernetes transient mount for /var/lib/origin/openshift.local.volumes/plugins/kubernetes.io/azure-disk/mounts/b1047945704 --scope -- mount -t ext4 -o defaults /dev/sdd /var/lib/origin/openshift.local.volumes/plugins/kubernetes.io/azure-disk/mounts/b1047945704
Output: Running scope as unit run-62118.scope.
mount: /dev/sdd is already mounted or /var/lib/origin/openshift.local.volumes/plugins/kubernetes.io/azure-disk/mounts/b1047945704 busy

Expected results:

It should mount.

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: mysql-pvc
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi

StorageClass Dump (if StorageClass used by PV/PVC):


Name:		azure-standard-storage
IsDefaultClass:	Yes
Annotations:	storageclass.kubernetes.io/is-default-class=true
Provisioner:	kubernetes.io/azure-disk
Parameters:	location=centralus,skuName=Standard_LRS

Additional info:

Using unmanaged storage with Azure

Comment 1 Wenqi He 2018-05-07 05:54:13 UTC
Seems related to: https://bugzilla.redhat.com/show_bug.cgi?id=1550271

Comment 2 hchen 2018-05-07 14:20:53 UTC
3.7 fix is merged, waiting for next build. 
https://github.com/openshift/openshift-ansible/pull/8152


Note You need to log in before you can comment on or make changes to this bug.